<?php

use yii\bootstrap\Alert;

if (Yii::$app->session->getFlash('message') != null) {
    echo Alert::widget([
        'options' => [
            'class' => 'alert-info',
        ],
        'body' => Yii::$app->session->getFlash('message'),
    ]);
}

use yii\helpers\Html;
use yii\helpers\Url;
use yii\grid\GridView;
use yii\widgets\Menu;
use yii\bootstrap\Tabs;
use yii\widgets\ActiveForm;
use yii\bootstrap\Button;

$this->title = 'Interface';
$this->params['breadcrumbs'] = [
    'Mikrotik',
    'PPP',
    $this->title,
];
?>
<div class="site-plugins">
    <div class="row">
        <div class="col-lg-3">
            <?php
            echo Menu::widget($menu);
            ?> 
        </div>
        <div class="col-md-9">
            <h1 style="margin-top: 0px"><?= Html::encode($this->title) ?></h1>
            <?php ?>


            <?php $form = ActiveForm::begin(['id' => 'contact-form']); ?>
            <?=
            Tabs::widget([
                'items' => [
                    [
                        'label' => 'General',
                        'content' => $this->render('/mikrotik/ppp/sstp/general', ['model' => $model, 'menu' => $menu, 'form' => $form]),
                        'active' => true
                    ],
                    [
                        'label' => 'Dial Out',
                        'content' => $this->render('/mikrotik/ppp/sstp/dialout', ['items' => $items, 'key' => $key, 'items' => $items, 'model' => $model, 'menu' => $menu, 'form' => $form]),
                    ],
            ]]);
            if ($action == 'update') {
                if ($model->disabled == 'true') {
                    $action_e = 'enable';
                } else {
                    $action_e = 'disable';
                }
                echo Html::submitButton('Update', ['class' => 'btn btn-primary', 'name' => 'create-button']);
                echo ' ';
                echo Html::a('<spanclass="btn-label">' . ucfirst($action_e) . '</span>', [$action_e, 'id' => $model->id, 'type' => $model->type], ['class' => 'btn btn-primary']);
            } else {
                echo Html::submitButton('Create', ['class' => 'btn btn-primary', 'name' => 'create-button']);
            }

            ActiveForm::end();
            ?>



        </div>
    </div>
</div>



